package cz.moneta.test.harness.endpoints.openapi;

public class OpenApiResponse<S> {
    private String status;
    private S responseObject;

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public S getResponseObject() {
        return responseObject;
    }

    public void setResponseObject(S responseObject) {
        this.responseObject = responseObject;
    }

    @Override
    public String toString() {
        return "{" +
                "status='" + status + '\'' +
                ", responseObject=" + responseObject +
                '}';
    }
}